# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::ShaderAnimator Class Reference

Callback object used to update/animate a Shader during the rendering. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::ShaderAnimator:

List of all members.

## Public Member Functions

| ShaderAnimator ()
virtual void | updateShader (Shader *shader, Camera *camera, Real cur_time)=0
| Reimplement this function to update/animate a Shader.
void | setEnabled (bool enable)
| Whether the ShaderAnimator is enabled or not.
bool | isEnabled () const
| Whether the ShaderAnimator is enabled or not.

## Protected Attributes

bool | mEnabled

## Detailed Description

Callback object used to update/animate a Shader during the rendering.

The updateShader() method will be called whenever a visible object uses the Shader to which the ShaderAnimator is bound.

See also:
  Shader::setUpdater();

Definition at line 1182 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::ShaderAnimator::ShaderAnimator | ( | ) | `[inline]`

Definition at line 1185 of file Shader.hpp.

## Member Function Documentation

virtual void vl::ShaderAnimator::updateShader | ( | Shader * | shader,
|  | Camera * | camera,
|  | Real | cur_time
| ) |  | `[pure virtual]`

Reimplement this function to update/animate a Shader.

Parameters:

  shader | the Shader to be updated.
  camera | the camera used for the current rendering.
  cur_time | the current animation time.

See also:
  Shader::setShaderAnimator();

Referenced by vl::Rendering::fillRenderQueue().

void vl::ShaderAnimator::setEnabled | ( | bool | enable ) | `[inline]`

Whether the ShaderAnimator is enabled or not.

Definition at line 1195 of file Shader.hpp.

bool vl::ShaderAnimator::isEnabled | ( | ) | const`[inline]`

Whether the ShaderAnimator is enabled or not.

Definition at line 1198 of file Shader.hpp.

Referenced by vl::Rendering::fillRenderQueue().

## Member Data Documentation

bool vl::ShaderAnimator::mEnabled`[protected]`

Definition at line 1201 of file Shader.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:46.
Permission is granted to use this page to write and publish articles regarding Visualization Library.